import { createImportMetaHot } from "/@fs/Users/damien.maillard/dev/perso/jsenv-core/dist/js/import_meta_hot.js";
import.meta.hot = createImportMetaHot(import.meta.url);
import { installReactRefresh } from "/@fs/Users/damien.maillard/dev/perso/jsenv-core/packages/related/plugin-react/src/client/react_refresh.js?v=1.5.25"
const __react_refresh__ = installReactRefresh("file:///Users/damien.maillard/dev/perso/jsenv-core/packages/related/cli/template-web-react/src/app/counter.jsx");
var _jsxFileName = "/Users/damien.maillard/dev/perso/jsenv-core/packages/related/cli/template-web-react/src/app/counter.jsx",
  _s = $RefreshSig$();
import { useState, Fragment } from "/@fs/Users/damien.maillard/dev/perso/jsenv-core/node_modules/react/index.js?cjs_as_js_module&v=18.3.1";
import { jsxDEV as _jsxDEV } from "/@fs/Users/damien.maillard/dev/perso/jsenv-core/node_modules/react/jsx-dev-runtime.js?cjs_as_js_module&v=18.3.1";
export const Counter = () => {
  _s();
  const [count, setCount] = useState(0);
  return /*#__PURE__*/_jsxDEV(Fragment, {
    children: [/*#__PURE__*/_jsxDEV("button", {
      id: "counter_button",
      type: "button",
      onClick: () => setCount(count => count + 1),
      children: "Click me"
    }, void 0, false, {
      fileName: _jsxFileName,
      lineNumber: 8,
      columnNumber: 7
    }, this), /*#__PURE__*/_jsxDEV("br", {}, void 0, false, {
      fileName: _jsxFileName,
      lineNumber: 15,
      columnNumber: 7
    }, this), "number of click: ", /*#__PURE__*/_jsxDEV("span", {
      id: "counter_output",
      children: count
    }, void 0, false, {
      fileName: _jsxFileName,
      lineNumber: 16,
      columnNumber: 24
    }, this)]
  }, void 0, true, {
    fileName: _jsxFileName,
    lineNumber: 7,
    columnNumber: 5
  }, this);
};
_s(Counter, "oDgYfYHkD9Wkv4hrAPCkI/ev3YU=");
_c = Counter;
var _c;
$RefreshReg$(_c, "Counter");
__react_refresh__.end();
import.meta.hot.accept(__react_refresh__.acceptCallback);